searchNodes=[{"doc":"This is the Official Elixir client for Replicate . It lets you run models from your Elixir code, and do various other things on Replicate.","ref":"Replicate.html","title":"Replicate","type":"module"},{"doc":"Synchronously run a prediction in the format owner/name:version. Returns the output. You can also use Replicate.Predictions.create and Replicate.Predictions.wait directly. Examples iex&gt; Replicate . run ( &quot;stability-ai/stable-diffusion:db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , prompt : &quot;a 19th century portrait of a wombat gentleman&quot; ) [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ]","ref":"Replicate.html#run/2","title":"Replicate.run/2","type":"function"},{"doc":"Documentation for the Client","ref":"Replicate.Client.html","title":"Replicate.Client","type":"module"},{"doc":"Callback implementation for Replicate.Client.Behaviour.request/2 .","ref":"Replicate.Client.html#request/2","title":"Replicate.Client.request/2","type":"function"},{"doc":"Callback implementation for Replicate.Client.Behaviour.request/3 .","ref":"Replicate.Client.html#request/3","title":"Replicate.Client.request/3","type":"function"},{"doc":"Callback implementation for Replicate.Client.Behaviour.wait/1 .","ref":"Replicate.Client.html#wait/1","title":"Replicate.Client.wait/1","type":"function"},{"doc":"Documentation for the Client Behaviour","ref":"Replicate.Client.Behaviour.html","title":"Replicate.Client.Behaviour","type":"behaviour"},{"doc":"","ref":"Replicate.Client.Behaviour.html#c:request/2","title":"Replicate.Client.Behaviour.request/2","type":"callback"},{"doc":"","ref":"Replicate.Client.Behaviour.html#c:request/3","title":"Replicate.Client.Behaviour.request/3","type":"callback"},{"doc":"","ref":"Replicate.Client.Behaviour.html#c:wait/1","title":"Replicate.Client.Behaviour.wait/1","type":"callback"},{"doc":"A mock version of Replicate.Client . Only used for testing.","ref":"Replicate.MockClient.html","title":"Replicate.MockClient","type":"module"},{"doc":"","ref":"Replicate.MockClient.html#request/2","title":"Replicate.MockClient.request/2","type":"function"},{"doc":"","ref":"Replicate.MockClient.html#request/3","title":"Replicate.MockClient.request/3","type":"function"},{"doc":"","ref":"Replicate.MockClient.html#wait/1","title":"Replicate.MockClient.wait/1","type":"function"},{"doc":"Documentation for Models .","ref":"Replicate.Models.html","title":"Replicate.Models","type":"module"},{"doc":"Gets a model from a owner/name string. Returns {:error, &quot;Not found&quot;} if the model doesn't exist. Examples iex&gt; { :ok , % Model { owner : owner , name : name } } = Replicate.Models . get ( &quot;replicate/hello-world&quot; ) iex&gt; owner &quot;replicate&quot; iex&gt; name &quot;hello-world&quot;","ref":"Replicate.Models.html#get/1","title":"Replicate.Models.get/1","type":"function"},{"doc":"Gets a model from a owner/name string. Raises an error if the model doesn't exist. Examples iex&gt; % Model { owner : owner , name : name } = Replicate.Models . get! ( &quot;replicate/hello-world&quot; ) iex&gt; owner &quot;replicate&quot; iex&gt; name &quot;hello-world&quot;","ref":"Replicate.Models.html#get!/1","title":"Replicate.Models.get!/1","type":"function"},{"doc":"Gets the latest version of a model. Raises an error if the version doesn't exist. Examples iex&gt; model = Replicate.Models . get! ( &quot;replicate/hello-world&quot; ) iex&gt; version = Replicate.Models . get_latest_version! ( model ) iex&gt; version . id &quot;v2&quot;","ref":"Replicate.Models.html#get_latest_version!/1","title":"Replicate.Models.get_latest_version!/1","type":"function"},{"doc":"Gets a version of a model. Raises an error if the version doesn't exist. Examples iex&gt; model = Replicate.Models . get! ( &quot;replicate/hello-world&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;v2&quot; ) iex&gt; version . id &quot;v2&quot;","ref":"Replicate.Models.html#get_version!/2","title":"Replicate.Models.get_version!/2","type":"function"},{"doc":"Returns a list of all versions for a model. Examples iex&gt; model = Replicate.Models . get! ( &quot;replicate/hello-world&quot; ) iex&gt; versions = Replicate.Models . list_versions ( model ) iex&gt; % Replicate.Models.Version { id : id , cog_version : cog_version } = List . first ( versions ) iex&gt; id &quot;v1&quot; iex&gt; cog_version &quot;0.3.0&quot;","ref":"Replicate.Models.html#list_versions/1","title":"Replicate.Models.list_versions/1","type":"function"},{"doc":"Documentation for the Model Behaviour","ref":"Replicate.Models.Behaviour.html","title":"Replicate.Models.Behaviour","type":"behaviour"},{"doc":"","ref":"Replicate.Models.Behaviour.html#c:get/1","title":"Replicate.Models.Behaviour.get/1","type":"callback"},{"doc":"","ref":"Replicate.Models.Behaviour.html#c:get!/1","title":"Replicate.Models.Behaviour.get!/1","type":"callback"},{"doc":"","ref":"Replicate.Models.Behaviour.html#c:get_latest_version!/1","title":"Replicate.Models.Behaviour.get_latest_version!/1","type":"callback"},{"doc":"","ref":"Replicate.Models.Behaviour.html#c:get_version!/2","title":"Replicate.Models.Behaviour.get_version!/2","type":"callback"},{"doc":"","ref":"Replicate.Models.Behaviour.html#c:list_versions/1","title":"Replicate.Models.Behaviour.list_versions/1","type":"callback"},{"doc":"Model struct.","ref":"Replicate.Models.Model.html","title":"Replicate.Models.Model","type":"module"},{"doc":"Version struct.","ref":"Replicate.Models.Version.html","title":"Replicate.Models.Version","type":"module"},{"doc":"Documentation for Predictions .","ref":"Replicate.Predictions.html","title":"Replicate.Predictions","type":"module"},{"doc":"Cancels a prediction given an id or %Prediction{} . Examples iex&gt; { :ok , prediction } = Replicate.Predictions . cancel ( &quot;1234&quot; ) iex&gt; prediction . status &quot;canceled&quot; iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; { :ok , prediction } = Replicate.Predictions . cancel ( prediction ) iex&gt; prediction . status &quot;canceled&quot; If a prediction is completed, it cannot be canceled. iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; prediction . status &quot;starting&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . wait ( prediction ) iex&gt; prediction . status &quot;succeeded&quot; # iex&gt; {:ok, prediction} = Replicate.Predictions.cancel(prediction.id) # iex&gt; prediction.status # &quot;succeeded&quot;","ref":"Replicate.Predictions.html#cancel/1","title":"Replicate.Predictions.cancel/1","type":"function"},{"doc":"Creates a prediction. You can optionally provide a webhook to be notified when the prediction is completed. The input parameter should be a map of the model inputs. Examples iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; prediction . status &quot;starting&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } , &quot;https://example.com/webhook&quot; ) iex&gt; prediction . status &quot;starting&quot;","ref":"Replicate.Predictions.html#create/5","title":"Replicate.Predictions.create/5","type":"function"},{"doc":"Gets a prediction by id. Examples iex&gt; { :ok , prediction } = Replicate.Predictions . get ( &quot;1234&quot; ) iex&gt; prediction . status &quot;succeeded&quot; iex&gt; Replicate.Predictions . get ( &quot;not_a_real_id&quot; ) { :error , &quot;Not found&quot; }","ref":"Replicate.Predictions.html#get/1","title":"Replicate.Predictions.get/1","type":"function"},{"doc":"Gets a prediction by id and fails if it doesn't exist. ## Examples iex&gt; prediction = Replicate.Predictions . get! ( &quot;1234&quot; ) iex&gt; prediction . id &quot;1234&quot; iex&gt; Replicate.Predictions . get! ( &quot;not_a_real_id&quot; ) ** (RuntimeError) Not found","ref":"Replicate.Predictions.html#get!/1","title":"Replicate.Predictions.get!/1","type":"function"},{"doc":"Lists all the predictions you've run. Examples iex&gt; Replicate.Predictions . list ( ) [ % Prediction { id : &quot;1234&quot; , status : &quot;starting&quot; , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , version : &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , output : [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ] } , % Prediction { id : &quot;1235&quot; , status : &quot;starting&quot; , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , version : &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , output : [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ] } ]","ref":"Replicate.Predictions.html#list/0","title":"Replicate.Predictions.list/0","type":"function"},{"doc":"Waits for a prediction to complete. Examples iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; prediction . status &quot;starting&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . wait ( prediction ) iex&gt; prediction . status &quot;succeeded&quot;","ref":"Replicate.Predictions.html#wait/1","title":"Replicate.Predictions.wait/1","type":"function"},{"doc":"Documentation for the Predictions Behaviour","ref":"Replicate.Predictions.Behaviour.html","title":"Replicate.Predictions.Behaviour","type":"behaviour"},{"doc":"","ref":"Replicate.Predictions.Behaviour.html#c:cancel/1","title":"Replicate.Predictions.Behaviour.cancel/1","type":"callback"},{"doc":"","ref":"Replicate.Predictions.Behaviour.html#c:create/5","title":"Replicate.Predictions.Behaviour.create/5","type":"callback"},{"doc":"","ref":"Replicate.Predictions.Behaviour.html#c:get/1","title":"Replicate.Predictions.Behaviour.get/1","type":"callback"},{"doc":"","ref":"Replicate.Predictions.Behaviour.html#c:get!/1","title":"Replicate.Predictions.Behaviour.get!/1","type":"callback"},{"doc":"","ref":"Replicate.Predictions.Behaviour.html#c:list/0","title":"Replicate.Predictions.Behaviour.list/0","type":"callback"},{"doc":"Prediction struct.","ref":"Replicate.Predictions.Prediction.html","title":"Replicate.Predictions.Prediction","type":"module"},{"doc":"The official Elixir client for Replicate . It lets you run models from your Elixir code, and everything else you can do with Replicate's HTTP API.","ref":"readme.html","title":"Replicate","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding replicate to your list of dependencies in mix.exs : def deps do [ { :replicate , &quot;~&gt; 0.1.0&quot; } ] end Or by commit reference: def deps do [ { :replicate , git : &quot;https://github.com/cbh123/replicate-elixir&quot; , ref : &quot;bc30d08&quot; } ] end","ref":"readme.html#installation","title":"Replicate - Installation","type":"extras"},{"doc":"Want to jump right in to building your own apps with Elixir and Replicate? Check out 🔮 Conjurer , a simple demo app we built with the Elixir client.","ref":"readme.html#before-we-start","title":"Replicate - Before we start...","type":"extras"},{"doc":"Before running any Python scripts that use the API, you need to set your Replicate API token in your environment. Grab your token from replicate.com/account and set it as an environment variable: export REPLICATE_API_TOKEN = &lt; your token &gt; We recommend not adding the token directly to your source code, because you don't want to &gt; put your credentials in source control. If anyone used your API key, their usage would be &gt; charged to your account. Then, add the config to your config.exs : config :replicate , replicate_api_token : System . get_env ( &quot;REPLICATE_API_TOKEN&quot; )","ref":"readme.html#authenticate","title":"Replicate - Authenticate","type":"extras"},{"doc":"Now you can use Replicate to do cool machine learny stuff. iex&gt; Replicate . run ( &quot;stability-ai/stable-diffusion:db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , prompt : &quot;a 19th century portrait of a wombat gentleman&quot; ) [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ]","ref":"readme.html#run-a-model","title":"Replicate - Run a model","type":"extras"},{"doc":"You can start a model and run it in the background with Replicate.Predictions.create/5 : iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; prediction . status &quot;starting&quot; iex&gt; prediction % Replicate.Predictions.Prediction { id : &quot;krdjxq6rw5bx3dopem52ohezca&quot; , error : nil , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , logs : &quot;&quot; , output : nil , status : &quot;starting&quot; , version : &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , started_at : nil , created_at : &quot;2023-06-02T20:43:55.720751299Z&quot; , completed_at : nil } iex&gt; { :ok , prediction } = Replicate.Predictions . get ( prediction . id ) iex&gt; prediction . logs |&gt; String . split ( &quot; \\n &quot; ) [ &quot;Using seed: 54144&quot; , &quot;input_shape: torch.Size([1, 77])&quot; , &quot; 0%| | 0/50 [00:00&lt;?, ?it/s]&quot; , &quot; 6%|▌ | 3/50 [00:00&lt;00:02, 21.14it/s]&quot; , &quot; 12%|█▏ | 6/50 [00:00&lt;00:02, 21.18it/s]&quot; , &quot; 18%|█▊ | 9/50 [00:00&lt;00:01, 21.20it/s]&quot; , &quot; 24%|██▍ | 12/50 [00:00&lt;00:01, 21.25it/s]&quot; , &quot; 30%|███ | 15/50 [00:00&lt;00:01, 21.21it/s]&quot; , &quot; 36%|███▌ | 18/50 [00:00&lt;00:01, 21.24it/s]&quot; , &quot; 42%|████▏ | 21/50 [00:00&lt;00:01, 21.23it/s]&quot; , &quot; 48%|████▊ | 24/50 [00:01&lt;00:01, 21.19it/s]&quot; , &quot; 54%|█████▍ | 27/50 [00:01&lt;00:01, 21.16it/s]&quot; , &quot; 60%|██████ | 30/50 [00:01&lt;00:00, 21.17it/s]&quot; , &quot; 66%|██████▌ | 33/50 [00:01&lt;00:00, 21.15it/s]&quot; , &quot; 72%|███████▏ | 36/50 [00:01&lt;00:00, 21.17it/s]&quot; , &quot; 78%|███████▊ | 39/50 [00:01&lt;00:00, 21.16it/s]&quot; , &quot; 84%|████████▍ | 42/50 [00:01&lt;00:00, 21.16it/s]&quot; , &quot; 90%|█████████ | 45/50 [00:02&lt;00:00, 21.16it/s]&quot; , &quot; 96%|█████████▌| 48/50 [00:02&lt;00:00, 20.99it/s]&quot; , &quot;100%|██████████| 50/50 [00:02&lt;00:00, 21.14it/s]&quot; , &quot;&quot; ] iex&gt; { :ok , prediction } = Replicate.Predictions . wait ( prediction ) iex&gt; prediction . status &quot;succeeded&quot; iex&gt; prediction . output [ &quot;https://replicate.delivery/pbxt/xbT582euzFwqCiupR5PVyMUFemfgZHbPyAm5kenezBS3RDQIC/out-0.png&quot; ]","ref":"readme.html#run-a-model-in-the-background","title":"Replicate - Run a model in the background","type":"extras"},{"doc":"You can run a model and get a webhook when it completes, instead of waiting for it to finish: Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } , &quot;https://example.com/webhook&quot; , [ &quot;completed&quot; ] )","ref":"readme.html#run-a-model-in-the-background-and-get-a-webhook","title":"Replicate - Run a model in the background and get a webhook","type":"extras"},{"doc":"You can cancel a running prediction by passing an id or %Replicate.Predictions.Prediction{} to Replicate.Predictions.cancel/1 : iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;Watercolor painting of the Babadook&quot; } ) iex&gt; prediction . status &quot;starting&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . cancel ( prediction . id ) iex&gt; prediction . status &quot;canceled&quot; iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; { :ok , prediction } = Replicate.Predictions . cancel ( prediction ) iex&gt; prediction . status &quot;canceled&quot;","ref":"readme.html#cancel-a-prediction","title":"Replicate - Cancel a prediction","type":"extras"},{"doc":"You can list all the predictions you've run: iex&gt; Replicate.Predictions . list ( ) [ % Prediction { id : &quot;1234&quot; , status : &quot;starting&quot; , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , version : &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , output : [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ] } , % Prediction { id : &quot;1235&quot; , status : &quot;starting&quot; , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , version : &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , output : [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ] } ]","ref":"readme.html#list-predictions","title":"Replicate - List predictions","type":"extras"},{"doc":"You can list all the versions of a model: iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; versions = Replicate.Models . list_versions ( model ) iex&gt; Replicate.Models . list_versions ( model ) |&gt; Enum . map ( &amp; &amp;1 . id ) |&gt; Enum . slice ( 0 .. 5 ) [ &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , &quot;328bd9692d29d6781034e3acab8cf3fcb122161e6f5afb896a4ca9fd57090577&quot; , &quot;f178fa7a1ae43a9a9af01b833b9d2ecf97b1bcb0acfd2dc5dd04895e042863f1&quot; , &quot;0827b64897df7b6e8c04625167bbb275b9db0f14ab09e2454b9824141963c966&quot; , &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , &quot;8abccf52e7cba9f6e82317253f4a3549082e966db5584e92c808ece132037776&quot; ]","ref":"readme.html#list-versions-of-a-model","title":"Replicate - List versions of a model","type":"extras"},{"doc":"ELIXIR CLIENT EXCLUSIVE Gets the latest version of a model. Raises an error if the version doesn't exist. iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_latest_version! ( model ) iex&gt; version . id &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; iex&gt; version . cog_version &quot;0.6.0&quot; replicate-elixir","ref":"readme.html#get-latest-version-of-a-model","title":"Replicate - Get latest version of a model","type":"extras"},{"doc":"Nothing to see here, yet!","ref":"changelog.html","title":"CHANGELOG","type":"extras"}]